# DarkskyRubyClient
[![Gem Version](https://badge.fury.io/rb/darksky_ruby_client.svg)](https://badge.fury.io/rb/darksky_ruby_client)
[![Build Status](https://travis-ci.org/appcot/darksky_ruby_client.svg?branch=master)](https://travis-ci.org/appcot/darksky_ruby_client)
[![Documentation](http://img.shields.io/badge/docs-rdoc.info-blue.svg)](http://www.rubydoc.info/github/appcot/darksky_ruby_client)

This Client for more convenient use of the DarkSky API.

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/darksky_ruby_client`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'darksky_ruby_client'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install darksky_ruby_client

## Usage
Simplest use.
```ruby
require 'darksky_ruby_client'
client = DarkskyRubyClient::Client.new('your Dark Sky secret key')
client.weather_forecast('latitude', 'longitude')
```

Options example
```ruby
require 'darksky_ruby_client'
client = DarkskyRubyClient::Client.new('your Dark Sky secret key')
client.weather_forecast('latitude', 'longitude', lang: "en", exclude: "daily")
```
Sets options after the second argument.
Available options are exclude, extend, lang, units.
See https://darksky.net/dev/docs#forecast-request for more details.

Parallel requests.
```ruby
require 'darksky_ruby_client'
locations = {
    :sanfrancisco => {
        :latitude => "37.77493",
        :longitude => "-122.419416"
    },
    :losangeles => {
        :latitude => "34.052234",
        :longitude => "-118.243684"
    }
}
client = DarkskyRubyClient::Client.new('your Dark Sky secret key')
client.some_weather_forecast(locations)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/darksky_ruby_client. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the DarkskyRubyClient project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/darksky_ruby_client/blob/master/CODE_OF_CONDUCT.md).
